

abstract class Employee
{
   

 private String name;
 private String afm;
 private long EmpID;
 public static int counter = 0;
 
 Employee(String nom, String arfomh){
     name=nom;
     afm=arfomh;
     EmpID=++counter;
    }
    
 public void setName(String nom) {name=nom;}
 public String getName() {return name;}
 public void setAfm(String arfomh) {afm=arfomh;}
 public String getAfm() {return afm;}
 public long getEmpID() {return EmpID;}
 
 
 abstract int payment();
 
}